package com.e6yun.project.sdk.api.pojo.basevo.business;

import com.google.common.base.MoreObjects;

/**
 * @Description TODO
 * @Author xxx@e6yun.com
 * @Created Date: 2021/7/6 15:21
 * @ClassName AlarmVideoUrlVO
 * @Remark
 */
public class AlarmVideoUrlVO {

    private Integer vehicleId;
    private String vehicle;
    private Integer channelId;
    private String url;
    private Long doorId = -1L;

    public AlarmVideoUrlVO() {
    }

    public Integer getVehicleId() {
        return vehicleId;
    }

    public void setVehicleId(Integer vehicleId) {
        this.vehicleId = vehicleId;
    }

    public String getVehicle() {
        return vehicle;
    }

    public void setVehicle(String vehicle) {
        this.vehicle = vehicle;
    }

    public Integer getChannelId() {
        return channelId;
    }

    public void setChannelId(Integer channelId) {
        this.channelId = channelId;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Long getDoorId() {
        return doorId;
    }

    public void setDoorId(Long doorId) {
        this.doorId = doorId;
    }

    @Override
    public String toString() {
        return MoreObjects.toStringHelper(this)
                .add("vehicleId", vehicleId)
                .add("vehicle", vehicle)
                .add("channelId", channelId)
                .add("url", url)
                .add("doorId", doorId)
                .toString();
    }
}
